OLDER slackware version for rpi3?

The SARPi project forum. For anything and everything relating to Slackware ARM on a Raspberry Pi 1, 2, and 3. This forum is NOT a replacement or substitute for the Slackware (ARM) forums on Linux Questions website! Please try to seek help there first about any issues you may be experiencing, or question you might have, before posting on here.
User avatar
ingesi
Registered user
Registered user
Posts: 7
Joined: Wed Jul 27 2016 - 18:48:38

OLDER slackware version for rpi3?

Postby ingesi » Mon Aug 01 2016 - 13:15:57

Hi all -- I know that's a strange question.

I need to run on an rpi3 an older version of slackware. I need to use this: http://usbip.sourceforge.net/ and while the windows client isn't updated, I need to run a linux version old enough to be compatible.

The source of USBIP is included in the kernel source, so old slackware -> old kernel -> old source code -> more hope of success

While the last windows client update is in feb, 2011 , I'd like to know if 13.37 or (better) 13.1 can run on rpi3

No problem if I have to play/install/blah with kernel drivers (I need at least that the system can boot and has access to USB and LAN)

Kind regards

Alessandro Barisone

User avatar
Exaga
FatDog Network Administrator
FatDog Network Administrator
Posts: 205
Joined: Wed Apr 18 2012 - 02:01:03
Location: England [UK]

Re: OLDER slackware version for rpi3?

Postby Exaga » Mon Aug 01 2016 - 22:21:41

Slackware 13.37 runs on the RPi3. :geek:
Exaga

====
__ KEEP THE DOG ALIVE!!!
()'`; /
/\|` W00f W00f W00f
www.fatdog.eu

User avatar
ingesi
Registered user
Registered user
Posts: 7
Joined: Wed Jul 27 2016 - 18:48:38

Re: OLDER slackware version for rpi3?

Postby ingesi » Tue Aug 02 2016 - 09:59:40

Yeah! Thank you! I try now

User avatar
ingesi
Registered user
Registered user
Posts: 7
Joined: Wed Jul 27 2016 - 18:48:38

Re: OLDER slackware version for rpi3?

Postby ingesi » Tue Aug 02 2016 - 13:25:03

Perfect, it works, but I have a question: slackware 13.37 now runs with kernel 4.4.11-v7-arm (the one installed as from your tutorial), while I'd like to run the kernel shipped with 13.37 (2.6.38.4)

How can I do that? No problem if it's a difficult task ..

Kind regards

Alessandro Barisone

User avatar
Exaga
FatDog Network Administrator
FatDog Network Administrator
Posts: 205
Joined: Wed Apr 18 2012 - 02:01:03
Location: England [UK]

Re: OLDER slackware version for rpi3?

Postby Exaga » Tue Aug 02 2016 - 22:29:50

Install the Linux kernel source and compile your own?
Exaga

====
__ KEEP THE DOG ALIVE!!!
()'`; /
/\|` W00f W00f W00f
www.fatdog.eu

User avatar
ingesi
Registered user
Registered user
Posts: 7
Joined: Wed Jul 27 2016 - 18:48:38

Re: OLDER slackware version for rpi3?

Postby ingesi » Thu Aug 04 2016 - 14:52:48

i was hoping that I was able to use a precompiled kernel shipped with slackware ARM

No problem, I'll compile it

After that, where I can find documentation on how to have the rpi3 booting with the new kernel? Sorry but I normally use (e)lilo on desktops and it's the first time I play with an rpi

Kind regards

Alessandro Barisone

User avatar
Exaga
FatDog Network Administrator
FatDog Network Administrator
Posts: 205
Joined: Wed Apr 18 2012 - 02:01:03
Location: England [UK]

Re: OLDER slackware version for rpi3?

Postby Exaga » Sat Aug 06 2016 - 12:00:02

Documentation for what you're trying to achieve might be hard to find. Your requirements are somewhat bespoke. With that in mind, some hard grafting will be required and I doubt you will find anything 'off the shelf' to save you the time and effort. So, as a friend once told me, "Get ready to roll your sleeves up!" :lol:

The current /boot dir contains all the necessary firmware to boot the RPi 1/2/3 devices and all that really changes is the kernel. As long as you use the armv7 kernel and name it "kernel7.img" and put it in the /boot dir along with all the files from the following link, it should boot. RPi boot firmware: https://github.com/raspberrypi/firmware/tree/master/boot

If you require an initrd then Dave Spencer's notes http://www.daves-collective.co.uk/raspi/notes.shtml in the "initrd.gz" section of the page might help you.

Of course, you need to configure the config.txt and cmdline.txt files accordingly in order to have the system booting correctly under Slackware ARM.
Exaga

====
__ KEEP THE DOG ALIVE!!!
()'`; /
/\|` W00f W00f W00f
www.fatdog.eu

User avatar
ingesi
Registered user
Registered user
Posts: 7
Joined: Wed Jul 27 2016 - 18:48:38

Re: OLDER slackware version for rpi3?

Postby ingesi » Mon Aug 08 2016 - 10:15:53

Thank you, I'll try

Best regards

Alessandro Barisone

Return to “SARPi Project - Slackware ARM on a Raspberry Pi”

Who is online

Users browsing this forum: CommonCrawl [Bot] and 0 guests